I have vers. 3.8.22 and I can't get in (it just doesn't open with a long error code)

I have the original 1Password vers. 3.8.22 and I recently went from macOS Sierra to macOS Mojave vers. 10.14.2 - Now I can't open 1Password (when I enter the password it disappears and then I get a error message "1Password quit unexpectedly" with a lengthy report that was, hopefully, sent to Apple. So then I tried to see if there were updates for my version and got the message "Check for update failed with error: Could not understand response from server. Please try again later."
I need to be able to retrieve all the passwords that 1Password generated because they are lengthy gobbledegook that I have no clue what they are.


1Password Version: 3.8.22
Extension Version: Not Provided
OS Version: OS Mojave vers. 10.14.2
Sync Type: Not Provided
Referrer: forum-search:won't let me open 1Password or check for updates

Comments

  • brentybrenty

    Team Member

    @Swtnss: Thanks for getting in touch. It isn't possible to use 1Password 3 on Mojave. It was developed in 2009, and supports OS X Snow Leopard and Lion. It is not compatible with recent macOS and browser releases. With Safari 12, Apple has discontinued support for the old unsigned extensions, like 1Password 3 used. It absolutely will not work there at all. You can read more details in the announcement at the top of this forum category:

    1Password 3: Modern browsers and OS X

    1Password 7, one the other hand, can import data from 1Password 3, and fully supports macOS Sierra, High Sierra, and Mojave, along with the latest web browsers. You can get that and the latest version of all of the apps as part of a 1Password.com membership. I hope this helps. Be sure to let me know if you have any other questions! :)

Leave a Comment

BoldItalicStrikethroughOrdered listUnordered list
Emoji
Image
Align leftAlign centerAlign rightToggle HTML viewToggle full pageToggle lights
Drop image/file